@charset "utf-8";

/* Micromodal.js - モーダルの基本設定
--------------------------------------------------------------- */

.modal {
    display: none;
}

.modal.is-open {
    display: block;
}

.modal__overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(204, 204, 204, .8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 5;
}

.modal__container {
    width: 90%;
    max-width: max(72.5rem, 1160px);
}

.modal__close {
    position: absolute;
    top: calc(-1 * var(--fs54px));
    right: calc(-1 * var(--fs54px));
    border: 0;
    padding: 0;
    width: var(--fs54px);
    min-width: 0;
    aspect-ratio: 1/1;
    background: #fff;
    border-radius: 100vmax;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
    cursor: pointer;

    &::before,
    &::after {
        content: '';
        position: absolute;
        top: calc(50% - (var(--fs2px) / 2));
        left: 0;
        right: 0;
        width: 60%;
        height: var(--fs3px);
        border-radius: var(--fs2px);
        background-color: #707070;
        margin-inline: auto;
    }

    &::before {
        transform: rotate(45deg);
    }

    &::after {
        transform: rotate(-45deg);
    }

}


/* モーダル - アニメーション
--------------------------------------------------------------- */

.micromodal-slide {
    display: none;
}

.micromodal-slide.is-open {
    display: block;
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
    animation: mm-fadeIn .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

/*
.micromodal-slide[aria-hidden="false"] .modal__container {
    animation: mm-slideIn .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}
*/
.micromodal-slide[aria-hidden="false"] .modal__container {
    animation: mm-fadeIn .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
    animation: mm-fadeOut .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

/*
.micromodal-slide[aria-hidden="true"] .modal__container {
    animation: mm-slideOut .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}
    */
.micromodal-slide[aria-hidden="true"] .modal__container {
    animation: mm-fadeOut .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

/*
.micromodal-slide .modal__container,
.micromodal-slide .modal__overlay {
    will-change: transform;
}
*/
@keyframes mm-fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes mm-fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@keyframes mm-slideIn {
    from {
        transform: translateY(15%);
    }

    to {
        transform: translateY(0);
    }
}

@keyframes mm-slideOut {
    from {
        transform: translateY(0);
    }

    to {
        transform: translateY(-15%);
    }
}


/* モーダル - ベーシックレイアウト
--------------------------------------------------------------- */

.modal-basic {
    box-sizing: border-box;
    position: relative;
    padding: var(--fs50px);
    border-radius: 40px;
    background: #fff;
}


/* モーダル - ムービー再生
--------------------------------------------------------------- */

.modal-movie {
    background: transparent;
}

.modal-movie__video-wrapper {
    position: relative;
}

.modal-movie__video-wrapper iframe {
    position: relative;
    display: block;
    width: 100%;
    min-width: 0;
    height: auto;
    aspect-ratio: 1/.563;
    margin: 0 auto;
}

.modal-movie__button-wrapper {
    margin-top: var(--fs25px);

    .button {
        margin-inline: auto;
    }
}

.modal-basic .modal-movie__button-wrapper {
    margin-bottom: calc(-1 * var(--fs25px));
}


/* モーダル - 求人応募レイアウト
--------------------------------------------------------------- */

.modal-apply {
    box-sizing: border-box;
    position: relative;
    max-width: max(46.875rem, 750px);
    background: #fff;
    padding: var(--fs37px);
    margin: auto;
    border: 11px solid #EFEFEF;
    border-radius: 40px;
}

.modal-apply__content {
    display: none;

    &.on {
        display: block;
    }
}

/* - 各種アイコン */
.icon--complete.icon--modal-apply {
    width: var(--fs84px);
    margin: var(--fs12px) auto var(--fs28px);
}

.icon--send.icon--modal-apply {
    width: var(--fs132px);
    margin: 0 auto;
    animation: paper-plane-fly 1.5s steps(1) infinite;
}

/* - 応募ステータスブロック */
.modal-apply__block {
    display: grid;
    grid-template-rows: minmax(0, 1fr) auto;
    align-items: center;
    min-height: 18.25rem;
    text-align: center;

    /*  -- 個別設定 */
    &.modal-apply__block--submit .modal-apply__title {
        margin-block: 0;
    }
}

/* - 見出しパーツ */
.modal-apply__title {
    font-size: var(--fs22px);
    font-weight: 700;
    text-align: center;
    text-box-trim: trim-both;
    margin-bottom: .8em;

    &.modal-apply__title--large {
        font-size: var(--fs26px);
    }
}

/* - ボタンパーツ */
.modal-apply__button-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--fs34px);
    margin-top: var(--fs34px);

    & button {
        width: 14.125rem;
    }

    .label-button-apply {
        min-height: 3em;
        padding: 0;
        font-size: var(--fs20px);
        border-radius: 5px;
    }

    .label-button-apply--action {
        &::before {
            left: .75em;
            width: .9em;
        }
    }
}

/* - 送信中は閉じるボタン非表示 かつ クリックの実質無効化 */
.modal__overlay:has(.modal-apply__content--send.on) {
    .modal__close {
        display: none;
    }

    .modal-apply::after {
        content: "";
        position: fixed;
        inset: 0;
        z-index: 1;
    }
}

/* - 送信中 アニメーション */
@keyframes paper-plane-fly {
    0% {
        transform: translate(0, 0);
    }

    20% {
        transform: translate(calc(-1 * var(--fs8px)), var(--fs8px));
    }

    40% {
        transform: translate(calc(-1 * var(--fs4px)), calc(-1 * var(--fs8px)));
    }

    60% {
        transform: translate(var(--fs8px), calc(-1 * var(--fs4px)));
    }

    80% {
        transform: translate(var(--fs4px), var(--fs12px));
    }

    100% {
        transform: translate(0, 0);
    }
}

.loading-dots span {
    opacity: 0;
}

.loading-dots span:nth-child(1) {
    animation: loading-dots-1 1.5s steps(1) infinite;
}

.loading-dots span:nth-child(2) {
    animation: loading-dots-2 1.5s steps(1) infinite;
}

.loading-dots span:nth-child(3) {
    animation: loading-dots-3 1.5s steps(1) infinite;
}

@keyframes loading-dots-1 {
    0% {
        opacity: 1;
    }

    75% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

@keyframes loading-dots-2 {
    0% {
        opacity: 0;
    }

    25% {
        opacity: 1;
    }

    75% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

@keyframes loading-dots-3 {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    75% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}



/* 検索条件モーダル - コンテナ全体レイアウト
--------------------------------------------------------------- */

@media print,
screen and (min-width: 1024px) {
    .modal-filter {
        max-height: calc(100vh - 20px);
    }
}

.modal-filter {
    --modal__height: max(37.5rem, 600px);
    --modal__header-height: max(5rem, 80px);
    --modal__footer-footer: max(5.875rem, 94px);
    box-sizing: border-box;
    position: relative;
    display: grid;
    grid-template-columns: 22.02% minmax(0, 1fr);
    grid-template-rows: auto minmax(0, 1fr) auto;
    gap: 0 var(--fs25px);
    grid-auto-flow: row;
    grid-template-areas:
        "header header"
        "side main"
        "side footer";
    height: var(--modal__height);
    padding-inline: var(--fs25px);
    border-radius: 40px;
    background: #fff;

    .modal-filter__header {
        grid-area: header;
        display: grid;
        place-content: center;
        height: var(--modal__header-height);
        z-index: 1;
    }

    .modal-filter__title {
        font-size: var(--fs22px);
        font-weight: 700;
        text-align: center;
        line-height: 1.25;
    }

    .modal-filter__side {
        grid-area: side;
    }

    .modal-filter__main {
        grid-area: main;
        box-sizing: border-box;
        height: 100%;
        padding: var(--fs25px) var(--fs35px);
        overflow: auto;
        outline: 1px solid #ccc;
    }

    .modal-filter__footer {
        grid-area: footer;
        height: var(--modal__footer-footer);
    }
}


/* 検索条件モーダル -サイドナビ
--------------------------------------------------------------- */

.modal-filter__nav {
    display: grid;
    gap: var(--fs18px);

    .modal-filter__nav-link {
        box-sizing: border-box;
        display: grid;
        grid-template-columns: minmax(0, 1fr) auto minmax(0, 1fr);
        justify-content: space-between;
        align-items: center;
        gap: 0 .2em;
        text-align: center;
        padding: .4em .4em;
        border: 1px solid #444444;
        border-radius: 5px;
        line-height: 1.4;

        &::before,
        &::after {
            content: "";
        }

        &.is-current::after {
            content: normal;
        }

        &.is-current .current {
            color: var(--color-main);
            font-size: var(--fs12px);
            font-weight: 700;
            text-align: right;
        }

        @media (hover: hover) {
            &:hover {
                background-color: var(--color-light-blue);
            }
        }

    }
}


/* 検索条件モーダル - メイン
--------------------------------------------------------------- */

.modal-filter__category-title {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    gap: .54em;
    font-size: var(--fs22px);
    font-weight: 700;
    line-height: 1.38;
    margin-bottom: .68em;

    & h3 {
        font-weight: 700;
    }

    @media print,
    screen and (min-width: 1024px) {
        &:has(.tooltip-trigger) {
            grid-template-columns: auto auto 1fr;
        }
    }
}

.modal-filter__category-title:has(+.modal-filter__category-subTitle) {
    margin-bottom: 0.2em;
}

.modal-filter__category-subTitle {
    margin-bottom: .68em;
    font-size: 0.85rem;
}

.modal-filter__section:not(:last-child) {
    margin-bottom: 2.5em;
}

.modal-filter__sp-separate {
    display: none;
}


/* 検索条件モーダル - コンポーネント内包
--------------------------------------------------------------- */

.modal-filter__keyword-wrapper {
    width: 21.875rem;
    min-width: 350px;
}

.modal-filter__calendar-item {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    gap: 1em;
    width: 50%;
}

.modal-filter__calendar-item:not(:last-child) {
    margin-bottom: var(--fs20px);
}


/* 検索条件モーダル - フッター
--------------------------------------------------------------- */

.modal-filter__footer {
    display: grid;
    grid-template-columns: minmax(0, 1fr) auto minmax(0, 1fr);
    justify-content: center;
    align-items: center;
    gap: 1em;

    &::before {
        content: "";
        margin-right: auto;
    }

    .button--small {
        margin-left: auto;
    }
}

.modal-filter__submit {
    box-sizing: border-box;
    font-size: var(--fs14px);
    color: #fff;
    padding: 1em 4em;
    border: 0;
    border-radius: 100vmax;
    background: var(--color-main);
    border: 2px solid;
    cursor: pointer;

    @media (hover: hover) {
        &:hover {
            opacity: 1;
            color: var(--color-main);
            background-color: #fff;
            border-color: var(--color-main);
        }
    }
}


/* ツールチップ - 基本スタイル
--------------------------------------------------------------- */

.tooltip-trigger {
    display: grid;
    grid-template-columns: 1.18em minmax(0, 1fr);
    align-items: center;
    gap: .27em;
    width: fit-content;
    color: var(--color-main);
    font-weight: 500;
    font-size: var(--fs14px);
    text-align: left;
    line-height: 1.2;
    padding: 0;
    margin: 0 0 0 auto;
    background: none;
    border: 0;
    cursor: pointer;

    &::before {
        content: "";
        display: block;
        width: 100%;
        min-width: 0;
        aspect-ratio: 1/1;
        background: url(../img/ui/icon_tooltip.svg) center center / contain no-repeat;
    }
}

.tooltip__wrapper {
    position: relative;
    display: none;

    & [id] {
        scroll-margin-top: 1em;
    }

}

.tooltip__overlay {
    position: fixed;
    inset: 0;
    display: grid;
    place-content: center;
    padding: 1em;
    background: #fff;
    margin: auto;
    z-index: 11;
}

@media print,
screen and (min-width: 1024px) {
    .tooltip__container {
        max-height: calc(100vh - 20px);
        overflow: auto;
    }
}

.tooltip__container {
    box-sizing: border-box;
    position: relative;
    max-width: var(--container-width);
    padding: 42px 32px 0;
    background: #fff;
    border: var(--fs5px) solid var(--color-main);
    border-radius: 40px;
    box-shadow: 0px 0px 26px rgba(0, 0, 0, 0.16);
    margin-inline: auto;

    /*
    &::before {
        content: "";
        position: absolute;
        top: calc(-1 * (var(--fs5px) + var(--fs10px)));
        right: var(--fs108px);
        display: block;
        width: var(--fs19px);
        min-width: 0;
        aspect-ratio: 1/.632;
        background: var(--color-main);
        clip-path: polygon(50% 0%, 0% 100%, 100% 100%);
    }
        */
}

.tooltip__title {
    display: grid;
    grid-template-columns: 1.18em minmax(0, 1fr);
    align-items: center;
    gap: .27em;
    color: var(--color-main);
    font-weight: 700;
    font-size: var(--fs22px);
    line-height: 1.45;
    margin-bottom: .81em;

    &::before {
        content: "";
        display: block;
        width: 100%;
        min-width: 0;
        aspect-ratio: 1/1;
        background: url(../img/ui/icon_tooltip.svg) center center / contain no-repeat;
    }
}

.tooltip__footer {
    display: grid;
    place-content: center;
    height: var(--fs68px);
}

.manual-index {
    padding: .5em 3em;
    background: var(--color-light-blue);
    border-radius: 5px;
    margin-bottom: 1.25em;

    .manual-index__list {
        display: flex;
        flex-wrap: wrap;
        gap: .5em 2em;
        line-height: 1.54;
    }

    & a {
        color: var(--color-main);
        font-weight: 500;

        &::after {
            content: "";
            display: inline-block;
            width: .81em;
            min-width: 0;
            aspect-ratio: 1 / .769;
            mask: url(../img/ui/toc_icon.svg) center center / contain no-repeat;
            background-color: var(--color-main);
            margin-left: .6em;
        }
    }
}

@media print,
screen and (min-width: 1024px) {
    .tooltip__pc-inner {
        box-sizing: border-box;
        height: 30.61rem;
        padding: 1.25em 6.76%;
        border: 1px solid #ccc;
        border-radius: 5px;
        overflow-y: auto;
    }
}


/* ツールチップコンテンツ - エリアガイド
--------------------------------------------------------------- */

.areaguide {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 37.13%;
    grid-template-rows: auto 1fr;
    grid-template-areas:
        "aizu kenpoku kenchu soso map"
        "minamiaizu kennan kennan iwaki map";
    align-items: start;
    gap: 1.625em var(--fs6px);

    .item--kenpoku {
        --theme-color: #F9C9C8;
        --sub-color: #FCE7E6;
        grid-area: kenpoku;
    }

    .item--kenchu {
        --theme-color: #EAE56D;
        --sub-color: #F6F3BD;
        grid-area: kenchu;
    }

    .item--kennan {
        --theme-color: #EAAA7D;
        --sub-color: #F6D9C5;
        grid-area: kennan;

        .areaguide__list {
            grid-template-columns: repeat(5, minmax(0, 1fr));
        }
    }

    .item--aizu {
        --theme-color: #C9DE92;
        --sub-color: #E7F0CE;
        grid-area: aizu;
    }

    .item--minamiaizu {
        --theme-color: #8EC671;
        --sub-color: #CCE5BF;
        grid-area: minamiaizu;
    }

    .item--soso {
        --theme-color: #84C1E9;
        --sub-color: #C7E3F5;
        grid-area: soso;
    }

    .item--iwaki {
        --theme-color: #8CCDC3;
        --sub-color: #CBE8E4;
        grid-area: iwaki;
    }

    .item--map {
        grid-area: map;
    }
}

.areaguide__title {
    text-align: center;
    font-weight: 700;
    padding: .31em;
    background: var(--sub-color);
    border-radius: 100vmax;
    line-height: 1;
    margin-bottom: 1em;
}

.areaguide__list {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: .91em;
    font-size: var(--fs12px);
    line-height: 1;

    & a {
        display: grid;
        grid-template-columns: var(--fs9px) minmax(0, 1fr);
        align-items: center;
        gap: .2em;

        &::before {
            content: "";
            display: block;
            width: 100%;
            min-width: 0;
            aspect-ratio: 1/.444;
            background: var(--theme-color);
            clip-path: polygon(0 0, 0% 100%, 100% 50%);
        }
    }
}


/* ツールチップコンテンツ - 認証制度ガイド
--------------------------------------------------------------- */

.tooltip__section {
    position: relative;

    .heading--page-2 {
        margin-bottom: .5em;
    }
}

.tooltip__section:not(:last-child) {
    padding-bottom: 1.25em;
    border-bottom: 1px solid var(--color-main);
    margin-bottom: 1.25em;
}

.tooltip__morelink {
    text-align: right;
    margin-top: 1em;
    line-height: 1.4;

    & a {
        color: var(--color-main);
        font-size: var(--fs12px);
        font-weight: 700;

        &::before {
            content: "";
            display: inline-block;
            width: .5em;
            min-width: 0;
            aspect-ratio: 1 / 1.65;
            mask: url(../img/ui/arrow_icon_right.svg) center center / contain no-repeat;
            background-color: var(--color-main);
            margin-right: var(--fs5px);
        }
    }

    & a[target="_blank"]::after {
        content: "";
        display: inline-block;
        width: var(--fs18px);
        min-width: 0;
        aspect-ratio: 1/1;
        background: url(../img/ui/icon_external.svg) center center / contain no-repeat;
        margin-left: var(--fs10px);
        margin-top: -.2em;
        vertical-align: middle;
    }
}


/* 子モーダル
--------------------------------------------------------------- */
.modal-filter__child-modal-opner {
    display: none;
}

.modal-filter__section.is-child-modal {
    .modal-filter__header {
        display: none;
    }
}

.modal-filter__child-modal-content {

    .tooltip-trigger {
        display: none;
    }
}




/* 以下、SP
--------------------------------------------------------------- */

@media screen and (max-width:1023px) {

    /* SP Micromodal.js - モーダルの基本設定
    --------------------------------------------------------------- */

    .modal__overlay {
        display: block;
        background: #fff;
        overflow: auto;
    }

    .modal__overlay:has(.modal-basic, .modal-apply) {
        background: rgba(204, 204, 204, .8);
    }

    .modal__container {
        width: 100%;
        max-width: auto;
    }

    .modal__close {
        top: -11.79vw;
        right: 0;
        width: 9.23vw;

        &::before,
        &::after {
            top: calc(50% - (.51vw / 2));
            height: .51vw;
        }
    }

    .modal-apply .modal__close {
        top: calc(-1 * (11.79vw + 1.54vw));
    }

    /* ※フィルターモーダルのSP時のみ、別デザインの為非表示 */
    .modal-type__filter .modal__close {
        display: none;
    }

    /* フィルターモーダル系の閉じるボタン */
    .modal__close-sp {
        color: var(--color-main);
        display: grid;
        grid-template-columns: 2.05vw 1fr;
        align-items: center;
        gap: 0 1.28vw;
        font-size: 3.59vw;
        background: none;
        border: 0;
        cursor: pointer;

        &::before {
            content: "";
            display: block;
            width: 100%;
            min-width: 0;
            aspect-ratio: 1/1.375;
            background: url(../img/ui/back_icon.svg) center center / contain no-repeat;
        }
    }


    /* SP モーダル - ベーシックレイアウト
    --------------------------------------------------------------- */

    .modal-basic {
        position: absolute;
        inset: 0;
        width: 86.67vw;
        height: fit-content;
        padding: 6.15vw 5.13vw;
        margin: auto;
        border-radius: 7.69vw;
    }


    /* SP モーダル - ムービー再生
    --------------------------------------------------------------- */

    .modal-movie__button-wrapper {
        margin-top: 6.15vw;
    }

    .modal-basic .modal-movie__button-wrapper {
        margin-bottom: 0;
    }


    /* SP モーダル - 求人応募レイアウト
    --------------------------------------------------------------- */

    .modal-apply {
        position: absolute;
        inset: 0;
        width: 86.67vw;
        height: fit-content;
        max-width: none;
        padding: 6.15vw 5.13vw;
        border-width: 1.54vw;
        border-radius: 7.69vw;
    }

    /* - SP 各種アイコン */
    .icon--complete.icon--modal-apply {
        width: 15.38vw;
        margin: .6em auto 1.5em;
    }

    .icon--send.icon--modal-apply {
        width: 25.64vw;
        margin-block: 1.5em 2.5em;
    }

    /* - SP 応募ステータスブロック */
    .modal-apply__block {
        min-height: auto;

        /* -- SP 個別調整 */
        &.modal-apply__block--submit .modal-apply__title {
            margin-block: 10.26vw;
        }
    }

    /* - SP 見出しパーツ */
    .modal-apply__title {
        font-size: 5.13vw;

        &.modal-apply__title--large {
            font-size: 5.13vw;
        }
    }

    /* - SP ボタンパーツ */
    .modal-apply__button-wrapper {
        gap: 5.13vw;
        padding-inline: 5.13vw;
        margin-top: 5.13vw;

        & button {
            width: 100%;
        }

        .button.button--large {
            order: 2;
        }

        .label-button-apply {
            min-height: 14.87vw;
            order: 1;
            font-size: 5.13vw;
            border-radius: 1.28vw;
        }
    }


    /* SP 検索条件モーダル - コンテナ全体レイアウト
    --------------------------------------------------------------- */

    .modal-filter {
        --modal__height: auto;
        --modal__header-height: 16.41vw;
        --modal__footer-footer: 20.51vw;
        display: block;
        height: var(--modal__height);
        padding-inline: 0;
        border-radius: 0;

        .modal-filter__header {
            box-sizing: border-box;
            position: fixed;
            top: 0;
            left: 0;
            right: 0;
            display: grid;
            grid-template-columns: 1fr auto 1fr;
            justify-content: space-between;
            align-items: center;
            padding: 0 5.13vw;
            height: var(--modal__header-height);
            background: #fff;
            margin: auto;
            box-shadow: 0px 0px 7.69vw rgba(0, 0, 0, 0.08);

            &::after {
                content: "";
            }
        }

        .modal-filter__title {
            font-size: 4.62vw;
        }

        .modal-filter__side {
            display: none;
            padding: var(--modal__header-height) 5.13vw 0;
        }

        .modal-filter__nav-link.is-current .current {
            font-size: 3.07vw;
        }

        .modal-filter__main {
            height: auto;
            padding: calc(var(--modal__header-height) + 7.69vw) 5.13vw calc(var(--modal__footer-footer) + 7.69vw);
            overflow: auto;
            outline: none;
        }


        /* SP 検索条件モーダル - メイン
        --------------------------------------------------------------- */

        .modal-filter__category-title {
            font-size: 4.1vw;

            .button {
                display: none;
            }
        }

        .modal-filter__section {
            margin: 0;
        }

        .modal-filter__sp-separate {
            display: block;
            border: 0;
            width: 100% height: 1px;
            background-color: #ccc;
            margin: 7.69vw auto;
        }


        /* SP 検索条件モーダル - コンポーネント内包
        --------------------------------------------------------------- */

        .modal-filter__keyword-wrapper {
            width: auto;
            min-width: 0;
        }

        .modal-filter__calendar-item {
            gap: .7em;
            width: 100%;
        }

        .modal-filter__calendar-item:not(:last-child) {
            margin-bottom: 5.13vw;
        }


        /* SP 検索条件モーダル - フッター
        --------------------------------------------------------------- */

        .modal-filter__footer {
            box-sizing: border-box;
            position: fixed;
            left: 0;
            right: 0;
            bottom: 0;
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            align-items: center;
            gap: 0;
            height: var(--modal__footer-footer);
            background: #fff;
            border-top: .26vw solid #ccc;
            padding-inline: 5.13vw;
            margin: auto;
            z-index: 7;

            &:before {
                content: normal;
            }

            .button--small {
                margin: 0;
            }

            .modal-filter__submit {
                order: 2;
                width: 54.62vw;
                height: 12.82vw;
                font-size: 3.59vw;
                padding: 0;
                border-radius: 100vmax;
            }

            .button {
                order: 1;
            }
        }
    }


    /* SP ツールチップ - 基本スタイル
    --------------------------------------------------------------- */

    .tooltip-trigger {
        font-size: 3.59vw;
    }

    .tooltip__overlay {
        place-content: start center;
        padding: 5.13vw;

        .tooltip__container {
            height: calc(100svh - 10.26vw);
            padding-bottom: calc(10.26vw * 2);
            overflow: auto;
        }

        .tooltip__footer {
            position: fixed;
            left: 0;
            right: 0;
            bottom: 5.13vw;
        }
    }

    .tooltip__container {
        padding: 8.21vw 6.41vw 0;
        border-width: .77vw;
        border-radius: 1.28vw;
        box-shadow: 0px 0px 6.67vw rgba(0, 0, 0, 0.16);

        &::before {
            top: -3.08vw;
            right: 15.38vw;
            width: 4.87vw;
        }
    }

    .tooltip__title {
        width: fit-content;
        font-size: 5.64vw;
        margin: 0 auto .81em;
    }

    .tooltip__footer {
        height: 17.44vw;
    }

    .manual-index {
        padding: .5em 1.5em;
        border-radius: 1.28vw;

        .manual-index__list {
            gap: .5em;
        }

        & li {
            width: 100%;
        }

        & a {
            font-size: .9em;
        }
    }


    /* SP ツールチップコンテンツ - エリアガイド
    --------------------------------------------------------------- */

    .areaguide {
        display: grid;
        grid-template-columns: minmax(0, 1fr);
        grid-template-rows: none;
        grid-template-areas:
            "map"
            "aizu"
            "minamiaizu"
            "kenpoku"
            "kenchu"
            "kennan"
            "soso"
            "iwaki";
        gap: 1.625em 0;

        .item--kennan {
            .areaguide__list {
                grid-template-columns: repeat(2, minmax(0, 1fr));
            }
        }

        .item--map {
            grid-area: map;
        }
    }

    .areaguide__title {
        font-size: 4.1vw;
        margin-bottom: 1em;
    }

    .areaguide__list {
        font-size: 4.1vw;

        & a {
            grid-template-columns: 3.08vw minmax(0, 1fr);
        }
    }


    /* SP ツールチップコンテンツ - 認証制度ガイド
    --------------------------------------------------------------- */

    .tooltip__section {

        .heading--page-2 {
            font-size: 4.1vw;
            margin-bottom: .5em;
        }
    }

    .tooltip__morelink {

        & a {
            font-size: 3.08vw;

            &::before {
                margin-right: 1.28vw;
            }
        }

        & a[target="_blank"]::after {
            width: 4.62vw;
            margin-left: 2.56vw;
        }
    }

    /* SP 子モーダル
    --------------------------------------------------------------- */
    .modal-filter__child-modal-opner {
        display: block;

        .button {
            background-color: #FFF;
            border: solid 0.26vw #444;
            width: 100%;
            font-size: var(--font-size-base);
            font-weight: 500;
            display: grid;
            grid-template-columns: 3.4em auto 3.4em;
            align-items: center;
            padding: 0.8em;
            color: #444;

            &:before {
                content: "";
                color: var(--color-main);
                font-size: var(--fs14px);
            }

            &:after {
                content: "";
                background: url(../img/ui/arrow_icon_right.svg) no-repeat center right;
                background-size: 0.5em auto;
                display: block;
                height: 100%;
            }
        }
    }

    .modal-filter__child-modal-opner.selected>.button:before {
        content: "選択中";
    }

    .modal-filter__child-modal-opner:has(+.modal-filter__child-modal-body input[type="checkbox"]:checked)>.button:before {
        content: "選択中";
    }

    .modal-filter__section.is-child-modal {
        .modal-filter__header {
            display: flex;
            justify-content: flex-start;
            gap: 3.8vw;

            .button {
                margin-left: auto;
            }
        }

    }

    .modal-filter__child-modal-body {
        width: 100%;
        position: fixed;
        left: 0;
        top: 0;
        height: 100%;
        overflow: auto;
        background-color: #FFF;
        z-index: 6;
        padding: calc(var(--modal__header-height) + 5.13vw) 5.13vw calc(var(--modal__footer-footer) + 5.13vw) 5.13vw;
        box-sizing: border-box;
        transform: translateX(100%);
        transition: transform 200ms ease;

        &.is-open {
            transform: translateX(0);
        }
    }

    .modal-filter__child-modal-content {
        .tooltip-trigger {
            display: grid;
        }
    }


    /* フィルターモーダル系の閉じるボタン */
    .child-modal__close {
        color: var(--color-main);
        display: grid;
        grid-template-columns: 2.05vw 1fr;
        align-items: center;
        gap: 0 1.28vw;
        font-size: 3.59vw;
        background: none;
        border: 0;
        cursor: pointer;

        &::before {
            content: "";
            display: block;
            width: 100%;
            min-width: 0;
            aspect-ratio: 1/1.375;
            background: url(../img/ui/back_icon.svg) center center / contain no-repeat;
        }
    }



}


/* 以下、プリント
--------------------------------------------------------------- */

@media print {

    .modal__overlay,
    .modal__close {
        position: absolute;
    }

    .modal__overlay {
        height: 100lvh;
    }

}